Package org.jboss.logging.processor.apt.report

## Enum ReportType

- java.lang.Object
- - java.lang.Enum<ReportType>
  - - org.jboss.logging.processor.apt.report.ReportType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ReportType>`

    public enum ReportType
    extends java.lang.Enum<ReportType>

Defines the report type for generating reports.

Author:
  James R. Perkins

### Enum Constant Summary

Enum Constants
`ASCIIDOC`
`XML`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getExtension()` Returns the extension used for the file.
`static ReportType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ReportType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASCIIDOC

    public static final ReportType ASCIIDOC

#### XML

    public static final ReportType XML

### Method Detail

#### values

    public static ReportType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReportType c : ReportType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReportType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getExtension

    public java.lang.String getExtension()

Returns the extension used for the file.

Returns:
  the extension